﻿# --on importe le module Image de la bibliothèque PIL
from PIL import Image

# --on ouvre le fichier image
img = Image.open('carrerouge.png')

# --on récupère et on affiche la largeur et hauteur de l'image
colonne, ligne = img.size
print(colonne)
print(ligne)

# --on balaye toutes les colonnes
for x in range (colonne):
    # --on balaye toutes les lignes
    for y in range(ligne):
        # --on vérifie la parité des colonnes pour les laisser rouges
        # --ou les colorier en noir
        if x % 2 == 0:
            img.putpixel((x, y), (0,0,0))
        # --on vérifie la parité des lignes pour les laisser rouges
        # --ou les colorier en noir
        if y % 2== 0:
            img.putpixel((x, y), (0,0,0))

# --on affiche l'image
img.show()
# --on enregistre l'image en la nommant 'nom.png'
img.save('RougeBrut.png')
# --on ferme l'image
img.close()
